import {FileFormat} from "app/shared/model/file-format.model";
import {IFrequency} from "app/shared/model/frequency.model";

export interface IMetaDataInfo {
  fileFormat: IFrequency<FileFormat>[];
  repositories: IFrequency<string>[];
  university: IFrequency<string>[];
}

export class MetaDataInfo implements IMetaDataInfo {
  constructor(
    public fileFormat: IFrequency<FileFormat>[],
    public repositories: IFrequency<string>[],
    public university: IFrequency<string>[],
  ) {
  }
}
