import {FileFormat} from "app/shared/model/file-format.model";

export interface IDocumentInfo {
  fileFormat: FileFormat;
  content: string;
  repository: string;
  path: string;
  gitLabUrl: string;
  mainGroup: string;
  subGroup: string;
  filePath: string;
}

export class DocumentInfo implements IDocumentInfo {
  constructor(
    public fileFormat: FileFormat,
    public content: string,
    public repository: string,
    public path: string,
    public gitLabUrl: string,
    public mainGroup: string,
    public subGroup: string,
    public filePath: string
  ) {
  }
}
